# Change commit and date if new from upstream
%global commit d2eb784a501d59698d94e1590ff498780979dc0c
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20200122
%global gitname radius-2fa

Name:     uio-oathkey
Version:  0.1
Release:  1.%{date}git%{shortcommit}%{?dist}
Summary:  2FA plugin for RADIUS
License:  GPLv3+

URL:      https://www.usit.uio.no/om/organisasjon/iti/gsd/doc/tjenester/radius/
Source0:  %{gitname}-%{shortcommit}.tar.gz

BuildRequires: openssl-devel >= 1.1
BuildRequires: perl

%description
This package provides oathkey, used as a plugin for 2FA with
FreeRADIUS at UiO.

%prep
%setup -q -n %{gitname}

%build
%configure --with-oath --disable-shared
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}/%{_mandir}/man3
rm -rf %{buildroot}/%{_mandir}/man5
rm -rf %{buildroot}/%{_mandir}/man8
rm -rf %{buildroot}/%{_includedir}/security
rm -rf %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}/%{_libdir}/*.a

%files
%{_bindir}/oathkey
%{_mandir}/man1/oathkey.1*


%changelog
* Wed Jan 22 2020 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 20200122
- Initial build

